---
name: Tim Guibert
locality:
country: Remote
role: <a href="https://handbook.gitlab.com/job-families/sales/account-executive/">Account
  Executive (Mid-Market, Territory), EMEA South</a>
reports_to: rbarnault
picture: "../gitlab-logo-extra-whitespace.png"
twitter:
gitlab: tguibert
departments:
- MM
- Sales
- Commercial Sales
story: Starts May 18th
job_title: Commercial Account Executive - Mid-Market
division: Sales
specialty:
- First Order
public: true

